Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(851)

Unified Diff: tool/coverage.sh

Issue 1042863004: tweaks to build/test scripts (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: Created 5 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « test/test.sh ('k') | tool/presubmit.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/coverage.sh
diff --git a/tool/travis.sh b/tool/coverage.sh
similarity index 71%
rename from tool/travis.sh
rename to tool/coverage.sh
index 5e761cf41a9b451e70b14aec495bb79d371869ec..e45f7cb7611c93014203e125172ba8b8f4274dfb 100755
--- a/tool/travis.sh
+++ b/tool/coverage.sh
@@ -1,12 +1,7 @@
#!/bin/bash
+set -e # bail on error
-# Fast fail the script on failures.
-set -e
-
-# Build first
-./tool/build_sdk.sh
-
-dart --checked test/all_tests.dart
+# Prerequisite: ./tool/build_sdk.sh has been run.
# Install dart_coveralls; gather and send coverage data.
if [ "$COVERALLS_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then
« no previous file with comments | « test/test.sh ('k') | tool/presubmit.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698